#include "ansi.h"
#include "graph.h"


unsigned char LenFontSpc = 3;
unsigned char rDrawFontX;


//-----------------------------------------------------------------
char LcdWin2Lcd(char znak)
{
  switch (znak)
  {
    /*
          //----- Polskie male -----//
        case('a'): znak =  0x11; break;
        case('c'): znak =  0x12; break;
        case('e'): znak =  0x13; break;
        case('l'): znak =  0x14; break;
        case('n'): znak =  0x15; break;
        case(''): znak =  0x16; break;
        case('s'): znak =  0x17; break;
        case('z'): znak =  0x18; break;
        case('z'): znak =  0x19; break;
        //----- Polskie wielkie -----//
        case('A'): znak = 1; break;
        case('C'): znak = 2; break;
        case('E'): znak = 3; break;
        case('L'): znak = 4; break;
        case('N'): znak = 5; break;
        case(''): znak = 6; break;
        case('S'): znak = 7; break;
        case('Z'): znak = 8; break;
        case('Z'): znak = 9; break;
    */
    case (LCDCHAR_COPYRIGHT_c):    znak = 0xA; break;
    case (LCDCHAR_RESERVED_c):   znak = 0xB; break;
    case (LCDCHAR_OHM_c):      znak = 0xC; break;
    case (LCDCHAR_MIKRO_c):      znak = 0xD; break;
    case (LCDCHAR_DIODE_c):      znak = 0xE; break;
    case (LCDCHAR_STOPNIE_C_c):    znak = 0xF; break;
    case (LCDCHAR_STOPNIE_F_c):    znak = 0x10; break;
  }


  return ( znak );
}


//-----------------------------------------------------------------
unsigned int rgb2_r5g6b5( unsigned char r, unsigned char g, unsigned char b )
{
			//r5 g6 b5		rrrr rGGG GGGb bbbb
		return( (r&0xF8)<<11 | (g&0xFC)<<3 | (b&0xF8)>>3 );
}


//-----------------------------------------------------------------
unsigned int ansii2_r5g6b5( unsigned char color )
{
unsigned int k=R5G6B5_LIGHTGREY;


	switch( color )
		{
		case ANSI_BLACK: 	k=R5G6B5_BLACK; break;
		case ANSI_RED: 		k=R5G6B5_RED; break;
		case ANSI_GREEN: 	k=R5G6B5_GREEN; break;
		case ANSI_YELLOW: k=R5G6B5_YELLOW; break;
		case ANSI_BLUE: 	k=R5G6B5_BLUE; break;
		case ANSI_MAGNETA:k=R5G6B5_MAGENTA; break;
		case ANSI_CYAN: 	k=R5G6B5_CYAN; break;
		case ANSI_WHITE: 	k=R5G6B5_WHITE; break;
		}


	return( k );
}


//-----------------------------------------------------------------
